Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.bytecode.opencsv.bean
Class HeaderColumnNameMappingStrategy

    java.lang.Object
      au.com.bytecode.opencsv.bean.HeaderColumnNameMappingStrategy

All Implemented Interfaces:
  MappingStrategy

Direct Known Subclasses:
  ColumnPositionMappingStrategy, HeaderColumnNameTranslateMappingStrategy

public class HeaderColumnNameMappingStrategy
extends java.lang.Object
implements MappingStrategy

Copyright 2007 Kyle Miller. Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Field Summary
`protected java.beans.PropertyDescriptor[]` | `descriptors`
`protected java.lang.String[]` | `header`
`protected java.lang.Class` | `type`

Constructor Summary
`HeaderColumnNameMappingStrategy()`

Method Summary
`void` | `captureHeader(CSVReader reader)` Implemention of this method can grab the header line before parsing begins to use to map columns to bean properties.
`java.lang.Object` | `createBean()`
`java.beans.PropertyDescriptor` | `findDescriptor(int col)` Implementation will have to return a property descriptor from a bean based on the current column.
`protected java.beans.PropertyDescriptor` | `findDescriptor(java.lang.String name)`
`protected java.lang.String` | `getColumnName(int col)`
`java.lang.Class` | `getType()`
`protected java.beans.PropertyDescriptor[]` | `loadDescriptors(java.lang.Class cls)`
`protected boolean` | `matches(java.lang.String name, java.beans.PropertyDescriptor desc)`
`void` | `setType(java.lang.Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### header

    protected java.lang.String[] header

### descriptors

    protected java.beans.PropertyDescriptor[] descriptors

### type

    protected java.lang.Class type

Constructor Detail

### HeaderColumnNameMappingStrategy

    public HeaderColumnNameMappingStrategy()

Method Detail

### captureHeader

    public void captureHeader(CSVReader reader)
                       throws java.io.IOException

  Description copied from interface: `MappingStrategy`
  Implemention of this method can grab the header line before parsing begins to use to map columns to bean properties.

  Specified by:
    `captureHeader` in interface `MappingStrategy`
  Throws:
    `java.io.IOException`

### findDescriptor

    public java.beans.PropertyDescriptor findDescriptor(int col)
                                                 throws java.beans.IntrospectionException

  Description copied from interface: `MappingStrategy`
  Implementation will have to return a property descriptor from a bean based on the current column.

  Specified by:
    `findDescriptor` in interface `MappingStrategy`
  Throws:
    `java.beans.IntrospectionException`

### getColumnName

    protected java.lang.String getColumnName(int col)

### findDescriptor

    protected java.beans.PropertyDescriptor findDescriptor(java.lang.String name)
                                                    throws java.beans.IntrospectionException

  Throws:
    `java.beans.IntrospectionException`

### matches

    protected boolean matches(java.lang.String name,
                              java.beans.PropertyDescriptor desc)

### loadDescriptors

    protected java.beans.PropertyDescriptor[] loadDescriptors(java.lang.Class cls)
                                                       throws java.beans.IntrospectionException

  Throws:
    `java.beans.IntrospectionException`

### createBean

    public java.lang.Object createBean()
                                throws java.lang.InstantiationException,
                                       java.lang.IllegalAccessException

  Specified by:
    `createBean` in interface `MappingStrategy`
  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### getType

    public java.lang.Class getType()

### setType

    public void setType(java.lang.Class type)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Bytecode Pty Ltd.